//+------------------------------------------------------------------+
//|                                                    	 !Target.mq4 |
//|                                Copyright  2008,   |
//+------------------------------------------------------------------+

#property indicator_separate_window

#property indicator_buffers 1
#property indicator_color1 LimeGreen
#property indicator_width1 1

extern int nBars=100;
extern bool bFuture=false;
//---- buffers
double Tar[];

int init()	
{  
	SetIndexBuffer(0,Tar); SetIndexStyle(0,DRAW_LINE); 
	return(0);  
}
//------------------------------------------------------------------ deinit
int deinit()	{	return(0);  }
//------------------------------------------------------------------ start
int start()
{ 
	int i;
	double Up, Dn;
	//----
	i=Bars-1;
	while(i>nBars)
	{
		if (bFuture)
		{
			Up=High[iHighest(Symbol(), 0, MODE_HIGH, nBars, i-nBars)];
			Dn=Low[iLowest(Symbol(), 0, MODE_LOW, nBars, i-nBars)];
		}
		else 
		{
			Up=High[iHighest(Symbol(), 0, MODE_HIGH, nBars, i)];
			Dn=Low[iLowest(Symbol(), 0, MODE_LOW, nBars, i)];
		}
		Up=Up-Open[i]; Dn=Open[i]-Dn;
		Tar[i]=(1.0+(Up-Dn)/(Up+Dn))/2.0;
		i--;
	}
	return(0);
}
//+------------------------------------------------------------------+